Skip to main content
GET
Foreign room

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

index
enum<string>

Stock basket: 1 = HOSE, 2 = VN30, 3 = HNX, 4 = HNX30, 5 = Upcom, 10 = Midcap, 11 = VN100, 12 = VNAllshare, 13 = VNSmallcap, 14 = VNXAllshare, 15 = VN50, 16 = VNSI. Rổ chứng khoán: 1 = HOSE, 2 = VN30, 3 = HNX, 4 = HNX30, 5 = Upcom, 10 = Midcap, 11 = VN100, 12 = VNAllshare, 13 = VNSmallcap, 14 = VNXAllshare, 15 = VN50, 16 = VNSI.

Available options:
1,
2,
3,
4,
5,
10,
11,
12,
13,
14,
15,
16

Response

200 - application/json

Successful response

tradingDate
string

Trading date.

data[].symbol
string

Stock symbol.

data[].refPrice
number<double>

Reference price.

data[].ceilPrice
number<double>

Ceiling price.

data[].floorPrice
number<double>

Floor price.

data[].matchPrice
number<double>

Matched price.

data[].matchQtty
number<double>

Matched volume.

data[].change
number<double>

Price change.

data[].changePercent
number<double>

Change percent.

data[].totalVolume
number<double>

Total volume.

data[].totalValue
number<double>

Total value.

data[].buyForeignQtty
number<double>

Foreign buy volume.

data[].sellForeignQtty
number<double>

Foreign sell volume.

data[].room
string

Foreign room.